Index: issm/trunk/src/c/ModelProcessorx/Balancedvelocities/CreateElementsNodesAndMaterialsBalancedvelocities.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Balancedvelocities/CreateElementsNodesAndMaterialsBalancedvelocities.cpp	(revision 3774)
+++ issm/trunk/src/c/ModelProcessorx/Balancedvelocities/CreateElementsNodesAndMaterialsBalancedvelocities.cpp	(revision 3775)
@@ -10,5 +10,5 @@
 #include "../../shared/shared.h"
 #include "../../MeshPartitionx/MeshPartitionx.h"
-#include "../../include/typedefs.h"
+#include "../../include/include.h"
 #include "../ModelProcessorx.h"
 
Index: issm/trunk/src/c/ModelProcessorx/Balancedvelocities/CreateLoadsBalancedvelocities.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Balancedvelocities/CreateLoadsBalancedvelocities.cpp	(revision 3774)
+++ issm/trunk/src/c/ModelProcessorx/Balancedvelocities/CreateLoadsBalancedvelocities.cpp	(revision 3775)
@@ -8,5 +8,5 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../ModelProcessorx.h"
 
Index: issm/trunk/src/c/ModelProcessorx/Control/CreateParametersControl.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Control/CreateParametersControl.cpp	(revision 3774)
+++ issm/trunk/src/c/ModelProcessorx/Control/CreateParametersControl.cpp	(revision 3775)
@@ -9,5 +9,5 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../ModelProcessorx.h"
 
Index: issm/trunk/src/c/ModelProcessorx/CreateDataSets.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/CreateDataSets.cpp	(revision 3774)
+++ issm/trunk/src/c/ModelProcessorx/CreateDataSets.cpp	(revision 3775)
@@ -11,5 +11,5 @@
 #include "../objects/objects.h"
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
 #include "./ModelProcessorx/ModelProcessorx.h"
Index: issm/trunk/src/c/ModelProcessorx/CreateSingleNodeToElementConnectivity.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/CreateSingleNodeToElementConnectivity.cpp	(revision 3774)
+++ issm/trunk/src/c/ModelProcessorx/CreateSingleNodeToElementConnectivity.cpp	(revision 3775)
@@ -11,6 +11,6 @@
 #include "../shared/shared.h"
 #include "../io/io.h"
-#include "../include/macros.h"
-#include "../include/typedefs.h"
+#include "../include/include.h"
+#include "../include/include.h"
 #include "./ModelProcessorx.h"
 
Index: issm/trunk/src/c/ModelProcessorx/DiagnosticHoriz/CreateElementsNodesAndMaterialsDiagnosticHoriz.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/DiagnosticHoriz/CreateElementsNodesAndMaterialsDiagnosticHoriz.cpp	(revision 3774)
+++ issm/trunk/src/c/ModelProcessorx/DiagnosticHoriz/CreateElementsNodesAndMaterialsDiagnosticHoriz.cpp	(revision 3775)
@@ -10,5 +10,5 @@
 #include "../../shared/shared.h"
 #include "../../MeshPartitionx/MeshPartitionx.h"
-#include "../../include/typedefs.h"
+#include "../../include/include.h"
 #include "../ModelProcessorx.h"
 
Index: issm/trunk/src/c/ModelProcessorx/DiagnosticHoriz/CreateLoadsDiagnosticHoriz.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/DiagnosticHoriz/CreateLoadsDiagnosticHoriz.cpp	(revision 3774)
+++ issm/trunk/src/c/ModelProcessorx/DiagnosticHoriz/CreateLoadsDiagnosticHoriz.cpp	(revision 3775)
@@ -8,5 +8,5 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../ModelProcessorx.h"
 
Index: issm/trunk/src/c/ModelProcessorx/DiagnosticHutter/CreateElementsNodesAndMaterialsDiagnosticHutter.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/DiagnosticHutter/CreateElementsNodesAndMaterialsDiagnosticHutter.cpp	(revision 3774)
+++ issm/trunk/src/c/ModelProcessorx/DiagnosticHutter/CreateElementsNodesAndMaterialsDiagnosticHutter.cpp	(revision 3775)
@@ -10,5 +10,5 @@
 #include "../../shared/shared.h"
 #include "../../MeshPartitionx/MeshPartitionx.h"
-#include "../../include/typedefs.h"
+#include "../../include/include.h"
 #include "../ModelProcessorx.h"
 
Index: issm/trunk/src/c/ModelProcessorx/DiagnosticHutter/CreateLoadsDiagnosticHutter.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/DiagnosticHutter/CreateLoadsDiagnosticHutter.cpp	(revision 3774)
+++ issm/trunk/src/c/ModelProcessorx/DiagnosticHutter/CreateLoadsDiagnosticHutter.cpp	(revision 3775)
@@ -8,5 +8,5 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../ModelProcessorx.h"
 
Index: issm/trunk/src/c/ModelProcessorx/DiagnosticStokes/CreateElementsNodesAndMaterialsDiagnosticStokes.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/DiagnosticStokes/CreateElementsNodesAndMaterialsDiagnosticStokes.cpp	(revision 3774)
+++ issm/trunk/src/c/ModelProcessorx/DiagnosticStokes/CreateElementsNodesAndMaterialsDiagnosticStokes.cpp	(revision 3775)
@@ -9,6 +9,6 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
-#include "../../include/typedefs.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 #include "../../MeshPartitionx/MeshPartitionx.h"
 #include "../ModelProcessorx.h"
Index: issm/trunk/src/c/ModelProcessorx/DiagnosticStokes/CreateLoadsDiagnosticStokes.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/DiagnosticStokes/CreateLoadsDiagnosticStokes.cpp	(revision 3774)
+++ issm/trunk/src/c/ModelProcessorx/DiagnosticStokes/CreateLoadsDiagnosticStokes.cpp	(revision 3775)
@@ -8,5 +8,5 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../ModelProcessorx.h"
 
Index: issm/trunk/src/c/ModelProcessorx/DiagnosticVert/CreateElementsNodesAndMaterialsDiagnosticVert.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/DiagnosticVert/CreateElementsNodesAndMaterialsDiagnosticVert.cpp	(revision 3774)
+++ issm/trunk/src/c/ModelProcessorx/DiagnosticVert/CreateElementsNodesAndMaterialsDiagnosticVert.cpp	(revision 3775)
@@ -10,5 +10,5 @@
 #include "../../shared/shared.h"
 #include "../../MeshPartitionx/MeshPartitionx.h"
-#include "../../include/typedefs.h"
+#include "../../include/include.h"
 #include "../ModelProcessorx.h"
 
Index: issm/trunk/src/c/ModelProcessorx/DiagnosticVert/CreateLoadsDiagnosticVert.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/DiagnosticVert/CreateLoadsDiagnosticVert.cpp	(revision 3774)
+++ issm/trunk/src/c/ModelProcessorx/DiagnosticVert/CreateLoadsDiagnosticVert.cpp	(revision 3775)
@@ -8,5 +8,5 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../ModelProcessorx.h"
 
Index: issm/trunk/src/c/ModelProcessorx/Melting/CreateElementsNodesAndMaterialsMelting.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Melting/CreateElementsNodesAndMaterialsMelting.cpp	(revision 3774)
+++ issm/trunk/src/c/ModelProcessorx/Melting/CreateElementsNodesAndMaterialsMelting.cpp	(revision 3775)
@@ -7,5 +7,5 @@
 #include "../../io/io.h"
 #include "../../EnumDefinitions/EnumDefinitions.h"
-#include "../../include/typedefs.h"
+#include "../../include/include.h"
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
Index: issm/trunk/src/c/ModelProcessorx/Melting/CreateLoadsMelting.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Melting/CreateLoadsMelting.cpp	(revision 3774)
+++ issm/trunk/src/c/ModelProcessorx/Melting/CreateLoadsMelting.cpp	(revision 3775)
@@ -8,5 +8,5 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../ModelProcessorx.h"
 
Index: issm/trunk/src/c/ModelProcessorx/Partitioning.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Partitioning.cpp	(revision 3774)
+++ issm/trunk/src/c/ModelProcessorx/Partitioning.cpp	(revision 3775)
@@ -13,7 +13,7 @@
 #include "../shared/shared.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../io/io.h"
-#include "../include/typedefs.h"
+#include "../include/include.h"
 #include "../MeshPartitionx/MeshPartitionx.h"
 #include "../ModelProcessorx/ModelProcessorx.h"
Index: issm/trunk/src/c/ModelProcessorx/Prognostic/CreateElementsNodesAndMaterialsPrognostic.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Prognostic/CreateElementsNodesAndMaterialsPrognostic.cpp	(revision 3774)
+++ issm/trunk/src/c/ModelProcessorx/Prognostic/CreateElementsNodesAndMaterialsPrognostic.cpp	(revision 3775)
@@ -10,5 +10,5 @@
 #include "../../io/io.h"
 #include "../../MeshPartitionx/MeshPartitionx.h"
-#include "../../include/typedefs.h"
+#include "../../include/include.h"
 #include "../ModelProcessorx.h"
 
Index: issm/trunk/src/c/ModelProcessorx/Prognostic/CreateLoadsPrognostic.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Prognostic/CreateLoadsPrognostic.cpp	(revision 3774)
+++ issm/trunk/src/c/ModelProcessorx/Prognostic/CreateLoadsPrognostic.cpp	(revision 3775)
@@ -8,5 +8,5 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../ModelProcessorx.h"
 
Index: issm/trunk/src/c/ModelProcessorx/Prognostic2/CreateElementsNodesAndMaterialsPrognostic2.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Prognostic2/CreateElementsNodesAndMaterialsPrognostic2.cpp	(revision 3774)
+++ issm/trunk/src/c/ModelProcessorx/Prognostic2/CreateElementsNodesAndMaterialsPrognostic2.cpp	(revision 3775)
@@ -9,6 +9,6 @@
 #include "../../io/io.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
-#include "../../include/typedefs.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 #include "../../MeshPartitionx/MeshPartitionx.h"
 #include "../ModelProcessorx.h"
Index: issm/trunk/src/c/ModelProcessorx/Prognostic2/CreateLoadsPrognostic2.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Prognostic2/CreateLoadsPrognostic2.cpp	(revision 3774)
+++ issm/trunk/src/c/ModelProcessorx/Prognostic2/CreateLoadsPrognostic2.cpp	(revision 3775)
@@ -8,6 +8,6 @@
 #include "../../io/io.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
-#include "../../include/typedefs.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 #include "../ModelProcessorx.h"
 
Index: issm/trunk/src/c/ModelProcessorx/Qmu/CreateParametersQmu.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Qmu/CreateParametersQmu.cpp	(revision 3774)
+++ issm/trunk/src/c/ModelProcessorx/Qmu/CreateParametersQmu.cpp	(revision 3775)
@@ -9,5 +9,5 @@
 #include "../../shared/shared.h"
 #include "../../io/io.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../../MeshPartitionx/MeshPartitionx.h"
 #include "../ModelProcessorx.h"
Index: issm/trunk/src/c/ModelProcessorx/SlopeCompute/CreateElementsNodesAndMaterialsSlopeCompute.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/SlopeCompute/CreateElementsNodesAndMaterialsSlopeCompute.cpp	(revision 3774)
+++ issm/trunk/src/c/ModelProcessorx/SlopeCompute/CreateElementsNodesAndMaterialsSlopeCompute.cpp	(revision 3775)
@@ -9,5 +9,5 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/typedefs.h"
+#include "../../include/include.h"
 #include "../../MeshPartitionx/MeshPartitionx.h"
 #include "../ModelProcessorx.h"
Index: issm/trunk/src/c/ModelProcessorx/SlopeCompute/CreateLoadsSlopeCompute.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/SlopeCompute/CreateLoadsSlopeCompute.cpp	(revision 3774)
+++ issm/trunk/src/c/ModelProcessorx/SlopeCompute/CreateLoadsSlopeCompute.cpp	(revision 3775)
@@ -8,5 +8,5 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../ModelProcessorx.h"
 
Index: issm/trunk/src/c/ModelProcessorx/Thermal/CreateElementsNodesAndMaterialsThermal.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Thermal/CreateElementsNodesAndMaterialsThermal.cpp	(revision 3774)
+++ issm/trunk/src/c/ModelProcessorx/Thermal/CreateElementsNodesAndMaterialsThermal.cpp	(revision 3775)
@@ -8,5 +8,5 @@
 #include "../../EnumDefinitions/EnumDefinitions.h"
 #include "../../objects/objects.h"
-#include "../../include/typedefs.h"
+#include "../../include/include.h"
 #include "../../shared/shared.h"
 #include "../../MeshPartitionx/MeshPartitionx.h"
Index: issm/trunk/src/c/ModelProcessorx/Thermal/CreateLoadsThermal.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Thermal/CreateLoadsThermal.cpp	(revision 3774)
+++ issm/trunk/src/c/ModelProcessorx/Thermal/CreateLoadsThermal.cpp	(revision 3775)
@@ -8,5 +8,5 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../ModelProcessorx.h"
 
Index: issm/trunk/src/c/MpcNodesx/MpcNodesx.cpp
===================================================================
--- issm/trunk/src/c/MpcNodesx/MpcNodesx.cpp	(revision 3774)
+++ issm/trunk/src/c/MpcNodesx/MpcNodesx.cpp	(revision 3775)
@@ -6,5 +6,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/NodeConnectivityx/NodeConnectivityx.cpp
===================================================================
--- issm/trunk/src/c/NodeConnectivityx/NodeConnectivityx.cpp	(revision 3774)
+++ issm/trunk/src/c/NodeConnectivityx/NodeConnectivityx.cpp	(revision 3775)
@@ -14,5 +14,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/Orthx/Orthx.h
===================================================================
--- issm/trunk/src/c/Orthx/Orthx.h	(revision 3774)
+++ issm/trunk/src/c/Orthx/Orthx.h	(revision 3775)
@@ -7,5 +7,5 @@
 
 #include "../objects/objects.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../shared/shared.h"
 
Index: issm/trunk/src/c/OutputRiftsx/OutputRiftsx.cpp
===================================================================
--- issm/trunk/src/c/OutputRiftsx/OutputRiftsx.cpp	(revision 3774)
+++ issm/trunk/src/c/OutputRiftsx/OutputRiftsx.cpp	(revision 3775)
@@ -7,5 +7,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/PenaltyConstraintsx/PenaltyConstraintsx.cpp
===================================================================
--- issm/trunk/src/c/PenaltyConstraintsx/PenaltyConstraintsx.cpp	(revision 3774)
+++ issm/trunk/src/c/PenaltyConstraintsx/PenaltyConstraintsx.cpp	(revision 3775)
@@ -7,5 +7,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/PenaltyConstraintsx/RiftConstraints.cpp
===================================================================
--- issm/trunk/src/c/PenaltyConstraintsx/RiftConstraints.cpp	(revision 3774)
+++ issm/trunk/src/c/PenaltyConstraintsx/RiftConstraints.cpp	(revision 3775)
@@ -5,5 +5,5 @@
 #include "./RiftConstraints.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../shared/shared.h"
 
Index: issm/trunk/src/c/PenaltySystemMatricesx/PenaltySystemMatricesx.cpp
===================================================================
--- issm/trunk/src/c/PenaltySystemMatricesx/PenaltySystemMatricesx.cpp	(revision 3774)
+++ issm/trunk/src/c/PenaltySystemMatricesx/PenaltySystemMatricesx.cpp	(revision 3775)
@@ -6,5 +6,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/ProcessParamsx/ProcessParamsx.cpp
===================================================================
--- issm/trunk/src/c/ProcessParamsx/ProcessParamsx.cpp	(revision 3774)
+++ issm/trunk/src/c/ProcessParamsx/ProcessParamsx.cpp	(revision 3775)
@@ -10,5 +10,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../DataSet/DataSet.h"
Index: issm/trunk/src/c/PropagateFlagsFromConnectivityx/PropagateFlagsFromConnectivityx.cpp
===================================================================
--- issm/trunk/src/c/PropagateFlagsFromConnectivityx/PropagateFlagsFromConnectivityx.cpp	(revision 3774)
+++ issm/trunk/src/c/PropagateFlagsFromConnectivityx/PropagateFlagsFromConnectivityx.cpp	(revision 3775)
@@ -5,5 +5,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 
Index: issm/trunk/src/c/Qmux/DakotaResponses.cpp
===================================================================
--- issm/trunk/src/c/Qmux/DakotaResponses.cpp	(revision 3774)
+++ issm/trunk/src/c/Qmux/DakotaResponses.cpp	(revision 3775)
@@ -11,8 +11,9 @@
 #include "../DataSet/DataSet.h"    
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
 #include "../MassFluxx/MassFluxx.h"
 #include "../Misfitx/Misfitx.h"
+#include "../modules.h"
 
 void DakotaResponses(double* responses,char** responses_descriptors,int numresponses,Model* model,DataSet* results,DataSet* processed_results,int analysis_type,int sub_analysis_type){
@@ -261,5 +262,5 @@
 			if(!found)ISSMERROR(" could not find velocity to compute misfit");
 
-			SplitSolutionVector(u_g,numberofnodes,numberofdofspernode,&vx,&vy,&vz);
+			SplitSolutionVectorx(u_g,numberofnodes,numberofdofspernode,&vx,&vy,&vz);
 
 			/*Add to inputs: */
Index: issm/trunk/src/c/Qmux/Qmux.cpp
===================================================================
--- issm/trunk/src/c/Qmux/Qmux.cpp	(revision 3774)
+++ issm/trunk/src/c/Qmux/Qmux.cpp	(revision 3775)
@@ -36,5 +36,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/Qmux/SpawnCore.cpp
===================================================================
--- issm/trunk/src/c/Qmux/SpawnCore.cpp	(revision 3774)
+++ issm/trunk/src/c/Qmux/SpawnCore.cpp	(revision 3775)
@@ -15,5 +15,5 @@
 #include "../shared/shared.h"
 #include "./Qmux.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 
 int SpawnCore(double* responses, int numresponses, double* variables, char** variables_descriptors,int numvariables, void* model,int analysis_type,int sub_analysis_type,int counter){
Index: issm/trunk/src/c/Qmux/SpawnCoreParallel.cpp
===================================================================
--- issm/trunk/src/c/Qmux/SpawnCoreParallel.cpp	(revision 3774)
+++ issm/trunk/src/c/Qmux/SpawnCoreParallel.cpp	(revision 3775)
@@ -31,5 +31,5 @@
 #include "../shared/shared.h"
 #include "./Qmux.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../parallel/parallel.h"
 
Index: issm/trunk/src/c/Qmux/SpawnCoreSerial.cpp
===================================================================
--- issm/trunk/src/c/Qmux/SpawnCoreSerial.cpp	(revision 3774)
+++ issm/trunk/src/c/Qmux/SpawnCoreSerial.cpp	(revision 3775)
@@ -17,5 +17,5 @@
 #include "../shared/shared.h"
 #include "./Qmux.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 
 void SpawnCoreSerial(double* responses, int numresponses, double* variables, char** variables_descriptors,int numvariables, mxArray* model,int analysis_type,int sub_analysis_type,int counter){
Index: issm/trunk/src/c/Solverx/Solverx.cpp
===================================================================
--- issm/trunk/src/c/Solverx/Solverx.cpp	(revision 3774)
+++ issm/trunk/src/c/Solverx/Solverx.cpp	(revision 3775)
@@ -6,5 +6,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 
 #ifdef HAVE_CONFIG_H
Index: issm/trunk/src/c/SpcNodesx/SpcNodesx.cpp
===================================================================
--- issm/trunk/src/c/SpcNodesx/SpcNodesx.cpp	(revision 3774)
+++ issm/trunk/src/c/SpcNodesx/SpcNodesx.cpp	(revision 3775)
@@ -6,5 +6,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/SplitSolutionVectorx/SplitSolutionVectorx.cpp
===================================================================
--- issm/trunk/src/c/SplitSolutionVectorx/SplitSolutionVectorx.cpp	(revision 3774)
+++ issm/trunk/src/c/SplitSolutionVectorx/SplitSolutionVectorx.cpp	(revision 3775)
@@ -3,4 +3,5 @@
 
 #include "./SplitSolutionVectorx.h"
+#include "../shared/shared.h"
 
 void SplitSolutionVectorx(Vec u_g,int numberofnodes,int numberofdofs, ...){
Index: issm/trunk/src/c/SplitSolutionVectorx/SplitSolutionVectorx.h
===================================================================
--- issm/trunk/src/c/SplitSolutionVectorx/SplitSolutionVectorx.h	(revision 3774)
+++ issm/trunk/src/c/SplitSolutionVectorx/SplitSolutionVectorx.h	(revision 3775)
@@ -12,9 +12,7 @@
 
 #include <stdarg.h>
+#include "../toolkits/toolkits.h"
 
-#include "../../shared/shared.h"
-#include "../../include/macros.h"
-
-void SplitSolutionVector(Vec u_g,int numberofnodes,int numberofdofs, ...);
+void SplitSolutionVectorx(Vec u_g,int numberofnodes,int numberofdofs, ...);
 
 #endif  /* _SPLITSOLUTIONVECTORX_H */
Index: issm/trunk/src/c/SurfaceAreax/SurfaceAreax.cpp
===================================================================
--- issm/trunk/src/c/SurfaceAreax/SurfaceAreax.cpp	(revision 3774)
+++ issm/trunk/src/c/SurfaceAreax/SurfaceAreax.cpp	(revision 3775)
@@ -6,5 +6,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/SystemMatricesx/SystemMatricesx.cpp
===================================================================
--- issm/trunk/src/c/SystemMatricesx/SystemMatricesx.cpp	(revision 3774)
+++ issm/trunk/src/c/SystemMatricesx/SystemMatricesx.cpp	(revision 3775)
@@ -6,5 +6,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/UpdateGeometryx/UpdateGeometryx.cpp
===================================================================
--- issm/trunk/src/c/UpdateGeometryx/UpdateGeometryx.cpp	(revision 3774)
+++ issm/trunk/src/c/UpdateGeometryx/UpdateGeometryx.cpp	(revision 3775)
@@ -6,5 +6,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/UpdateInputsFromSolutionx/UpdateInputsFromSolutionx.cpp
===================================================================
--- issm/trunk/src/c/UpdateInputsFromSolutionx/UpdateInputsFromSolutionx.cpp	(revision 3774)
+++ issm/trunk/src/c/UpdateInputsFromSolutionx/UpdateInputsFromSolutionx.cpp	(revision 3775)
@@ -5,5 +5,5 @@
 #include "./UpdateInputsFromSolutionx.h"
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/UpdateInputsFromVectorx/UpdateInputsFromVectorx.cpp
===================================================================
--- issm/trunk/src/c/UpdateInputsFromVectorx/UpdateInputsFromVectorx.cpp	(revision 3774)
+++ issm/trunk/src/c/UpdateInputsFromVectorx/UpdateInputsFromVectorx.cpp	(revision 3775)
@@ -5,5 +5,5 @@
 #include "./UpdateInputsFromVectorx.h"
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/UpdateVertexPositionsx/UpdateVertexPositionsx.cpp
===================================================================
--- issm/trunk/src/c/UpdateVertexPositionsx/UpdateVertexPositionsx.cpp	(revision 3774)
+++ issm/trunk/src/c/UpdateVertexPositionsx/UpdateVertexPositionsx.cpp	(revision 3775)
@@ -6,5 +6,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/include/include.h
===================================================================
--- issm/trunk/src/c/include/include.h	(revision 3775)
+++ issm/trunk/src/c/include/include.h	(revision 3775)
@@ -0,0 +1,15 @@
+/*!\file: include.h
+ * \brief prototypes for include.h
+ */ 
+
+#ifndef _INCLUDEGLOBAL_H_
+#define  _INCLUDEGLOBAL_H_
+
+#include "./globals.h"  
+#include "./macros.h"
+#include "./typedefs.h"
+#include "./types.h"
+
+
+#endif //ifndef _INCLUDE_H_
+
Index: issm/trunk/src/c/include/types.h
===================================================================
--- issm/trunk/src/c/include/types.h	(revision 3774)
+++ issm/trunk/src/c/include/types.h	(revision 3775)
@@ -13,4 +13,5 @@
 #endif
 
+#include "stdio.h"
 
 /*Define abstract type for I/O: */
Index: issm/trunk/src/c/io/FetchData.cpp
===================================================================
--- issm/trunk/src/c/io/FetchData.cpp	(revision 3774)
+++ issm/trunk/src/c/io/FetchData.cpp	(revision 3775)
@@ -11,5 +11,5 @@
 #include "./io.h"
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 
 /***************** **************** **************** **************** **************** **************** **************** **************** **************** ****************
Index: issm/trunk/src/c/io/FetchParams.cpp
===================================================================
--- issm/trunk/src/c/io/FetchParams.cpp	(revision 3774)
+++ issm/trunk/src/c/io/FetchParams.cpp	(revision 3775)
@@ -15,5 +15,5 @@
 #include "../objects/objects.h"
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
 
Index: issm/trunk/src/c/io/WriteData.cpp
===================================================================
--- issm/trunk/src/c/io/WriteData.cpp	(revision 3774)
+++ issm/trunk/src/c/io/WriteData.cpp	(revision 3775)
@@ -9,5 +9,5 @@
 #endif
 
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "./shared/shared.h"
 #include "./io.h"
Index: issm/trunk/src/c/io/WriteDataToDisk.cpp
===================================================================
--- issm/trunk/src/c/io/WriteDataToDisk.cpp	(revision 3774)
+++ issm/trunk/src/c/io/WriteDataToDisk.cpp	(revision 3775)
@@ -5,5 +5,5 @@
 #include "stdio.h"
 #include "string.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../shared/shared.h"
 
Index: issm/trunk/src/c/io/WriteParams.cpp
===================================================================
--- issm/trunk/src/c/io/WriteParams.cpp	(revision 3774)
+++ issm/trunk/src/c/io/WriteParams.cpp	(revision 3775)
@@ -16,5 +16,5 @@
 #include "../objects/objects.h"
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 
 void WriteParams(DataHandle* pdataref,Parameters* parameters){
Index: issm/trunk/src/c/io/io.h
===================================================================
--- issm/trunk/src/c/io/io.h	(revision 3774)
+++ issm/trunk/src/c/io/io.h	(revision 3775)
@@ -8,5 +8,5 @@
 #include "../objects/objects.h"
 #include "../DataSet/DataSet.h"
-#include "../include/types.h"
+#include "../include/include.h"
 
 class DataSet;
Index: issm/trunk/src/c/io/pfclose.cpp
===================================================================
--- issm/trunk/src/c/io/pfclose.cpp	(revision 3774)
+++ issm/trunk/src/c/io/pfclose.cpp	(revision 3775)
@@ -11,5 +11,5 @@
 #include "stdio.h"
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 
 void pfclose(FILE* fid,char* filename){
Index: issm/trunk/src/c/io/pfopen.cpp
===================================================================
--- issm/trunk/src/c/io/pfopen.cpp	(revision 3774)
+++ issm/trunk/src/c/io/pfopen.cpp	(revision 3775)
@@ -11,5 +11,5 @@
 #include "stdio.h"
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 
 FILE* pfopen(char* filename,char* format){
Index: issm/trunk/src/c/objects/Bamg/BamgOpts.cpp
===================================================================
--- issm/trunk/src/c/objects/Bamg/BamgOpts.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Bamg/BamgOpts.cpp	(revision 3775)
@@ -1,5 +1,5 @@
 #include "stdio.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../objects.h"
 
Index: issm/trunk/src/c/objects/Constraints/Rgb.cpp
===================================================================
--- issm/trunk/src/c/objects/Constraints/Rgb.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Constraints/Rgb.cpp	(revision 3775)
@@ -15,5 +15,5 @@
 #include "../../DataSet/DataSet.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../objects.h"
 
Index: issm/trunk/src/c/objects/Constraints/Spc.cpp
===================================================================
--- issm/trunk/src/c/objects/Constraints/Spc.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Constraints/Spc.cpp	(revision 3775)
@@ -12,5 +12,5 @@
 #include "stdio.h"
 #include <string.h>
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../../shared/shared.h"
 #include "../../EnumDefinitions/EnumDefinitions.h"
